Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 958 - problem with allow, deny in apache 1.2.6-5
Summary: problem with allow, deny in apache 1.2.6-5
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 5.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On: 8262
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-25 08:25 UTC by jyrki.kronqvist
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-12 21:38:16 UTC


Attachments (Terms of Use)

Description jyrki.kronqvist 1999-01-25 08:25:40 UTC
It seems to be a bug in apache-1.2.6-5, the access control
does not work properly.
I use a Linux system as a firewall, connecting to two
networks. If I define as following
   order deny,allow
   deny from all
   allow from 194.203.16.
it does not work in apache-1.2.6-5, but it works fine in
apache-1.2.6-4 allowing only host in the network to connect
to the server. By using the apache-1.2.6-5 it has no
meaning. At the moment I use the apache-1.2.6-4, but as You
know there is another bug.

Comment 1 David Lawrence 1999-03-12 21:38:59 UTC
I was unable to get this to fail in the latest release of
Apache-1.3.3-1. Try the newer version and see if it works for you.

Comment 2 osman 2000-01-10 07:17:59 UTC
Looks like the same as bug#8262
I use apache 1.3.9-8


Note You need to log in before you can comment on or make changes to this bug.